<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Convert survey config from Markdown to HTML — htmlize_survey_config • qstnr</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Convert survey config from Markdown to HTML — htmlize_survey_config"><meta name="description" content="Recursively converts the keys at the specified pluck locations of a survey configuration from Markdown to HTML using commonmark::markdown_html(). Keys to
be converted must be of (nested) type character."><meta property="og:description" content="Recursively converts the keys at the specified pluck locations of a survey configuration from Markdown to HTML using commonmark::markdown_html(). Keys to
be converted must be of (nested) type character."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">qstnr</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9000</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/qstnr/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Convert survey config from Markdown to HTML</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/qstnr/blob/HEAD/R/qstnr.gen.R" class="external-link"><code>R/qstnr.gen.R</code></a></small>
      <div class="d-none name"><code>htmlize_survey_config.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Recursively converts the keys at the specified pluck locations of a survey configuration from Markdown to HTML using <code><a href="https://docs.ropensci.org/commonmark/reference/commonmark.html" class="external-link">commonmark::markdown_html()</a></code>. Keys to
be converted must be of (nested) type character.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">htmlize_survey_config</span><span class="op">(</span></span>
<span>  <span class="va">survey_config</span>,</span>
<span>  <span class="va">...</span>,</span>
<span>  rm_p <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  hard_line_breaks <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  smart_punctuation <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  strip_footnotes <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  normalize <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  extensions <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"table"</span>, <span class="st">"strikethrough"</span>, <span class="st">"tasklist"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-survey-config">survey_config<a class="anchor" aria-label="anchor" href="#arg-survey-config"></a></dt>
<dd><p>Survey configuration list as returned by <code><a href="read_survey_config.html">read_survey_config()</a></code>.</p></dd>


<dt id="arg--">...<a class="anchor" aria-label="anchor" href="#arg--"></a></dt>
<dd><p><a href="https://purrr.tidyverse.org/reference/pluck.html" class="external-link">Pluck</a> locations to convert to HTML. All (sub)keys targeted here must be of type character.
<a href="https://rlang.r-lib.org/reference/dyn-dots.html" class="external-link">Dynamic dots</a> are supported.</p></dd>


<dt id="arg-rm-p">rm_p<a class="anchor" aria-label="anchor" href="#arg-rm-p"></a></dt>
<dd><p>Whether or not to omit the outer <code>&lt;p&gt;</code> tag when converting values to HTML.</p></dd>


<dt id="arg-hard-line-breaks">hard_line_breaks<a class="anchor" aria-label="anchor" href="#arg-hard-line-breaks"></a></dt>
<dd><p>Whether or not to interpret all newlines within a paragraph as hard line breaks instead of spaces. This setting conforms to <a href="https://pandoc.org/MANUAL.html#extension-hard_line_breaks" class="external-link">Pandoc's <code>hard_line_breaks</code> extension</a>.</p></dd>


<dt id="arg-smart-punctuation">smart_punctuation<a class="anchor" aria-label="anchor" href="#arg-smart-punctuation"></a></dt>
<dd><p>Whether or not to enable smart punctation conforming to <a href="https://pandoc.org/MANUAL.html#extension-smart" class="external-link">Pandoc's <code>smart</code> extension</a>
which converts straight quotes to curly quotes, <code>---</code> to an em-dash (—), <code>--</code> to an en-dash (–), and <code>...</code> to ellipses (…). It also replaces regular spaces
after certain abbreviations such as <code>Mr.</code> with <a href="https://en.wikipedia.org/wiki/Non-breaking_space" class="external-link">non-breaking spaces</a>.</p></dd>


<dt id="arg-strip-footnotes">strip_footnotes<a class="anchor" aria-label="anchor" href="#arg-strip-footnotes"></a></dt>
<dd><p>Whether or not to remove Markdown footnotes.</p></dd>


<dt id="arg-normalize">normalize<a class="anchor" aria-label="anchor" href="#arg-normalize"></a></dt>
<dd><p>Consolidate adjacent text nodes.</p></dd>


<dt id="arg-extensions">extensions<a class="anchor" aria-label="anchor" href="#arg-extensions"></a></dt>
<dd><p>Enables Github extensions. Can be <code>TRUE</code> (all) <code>FALSE</code> (none) or a character
vector with a subset of available <a href="https://docs.ropensci.org/commonmark/reference/extensions.html" class="external-link">extensions</a>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p><code>survey_config</code> with the specified keys recursively converted to HTML text.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other survey preparation functions:
<code><a href="read_survey_config.html">read_survey_config</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

